add_rules("mode.debug", "mode.release")
includes("Hi3516_SDK.lua")

--- Set toolchain and C/C++ standard
-- set_config("sdk", "$(projectdir)/arm-himix200-linux")
-- set_config("bin", "$(projectdir)/arm-himix200-linux/bin")
-- set_config("cross", "arm-himix200-linux-")
-- set_config("linkdirs", "$(projectdir)/arm-himix200-linux/arm-linux-gnueabi/lib")
-- set_config("includedirs", "$(projectdir)/arm-himix200-linux/arm-linux-gnueabi/include")
set_config("sdk", "/opt/hisi-linux/x86-arm/arm-himix200-linux/")
set_config("plat", "cross")
set_languages("c11", "c++14")

--- Add requires and dependencies
add_requires("zlog 1.2.17")

target("ISP")
    set_kind("static")
    add_files("src/isp/*.c")
    add_includedirs("src")
    add_deps("sample_common")
    add_packages("zlog")

target("NNIE")
    set_kind("static")
    add_files("src/nnie/*.c")
    add_includedirs("src")
    add_deps("sample_common","sample_svp")
    add_packages("zlog")

target("CatFeeder")
    set_kind("binary")
    add_includedirs("src")
    add_files("src/*.cpp")
    add_deps("hi_library", "ISP", "NNIE")
    add_packages("zlog")
    add_links("stdc++fs")
    after_build(function (target) 
        os.cp("src/log.conf", "$(buildir)/cross/arm/release")
    end)

if is_mode("debug") then
    add_defines("DEBUG")
    set_symbols("debug")
    set_optimize("none")
end
